class Ex11_1
// Calculation of the value of the solid angle subtended by surfaces dA2 and dA3 with respect to dA1 (b) the intensity of emission from dA, in the direction of the other areas (c) the rate at which radiation emitted by dA, is intercepted by the other areas
// solid angle is calculate using the equation dw=dA*cos(Beta)/r^2
// Beta is the angle between the surface normal of a receiver surface and the line connecting the two surfaces
// For area A2
// dimensions are 1X1 in, so
parameter Real dA2 (unit = "ft^2")=(1*1)/144;//Area of diff area dA2 in ft^2
parameter Real Beta1 (unit = "rad")=40*3.1412/180;//the angle between the surface normal of a dA2 and the line connecting dA1 and dA2
parameter Real r (unit = "ft")=4;//plane radius
Real dw2_1 (unit = "sr");//The solid angle subtended by area dA2 with respect to dA1 in sr
parameter Real dA3 (unit = "ft^2")=dA2;//Area of diff area. dA2
parameter Real Beta2 (unit = "rad")=0;//the angle between the surface normal of a dA2 and the line connecting dA1 and dA3
Real dw3_1 (unit = "sr");//The solid angle subtended by area dA2 with respect to dA1 in sr
parameter Real theta2 (unit = "rad")=3.1412*50/180;//Angles b/w dA1 and dA2 in rad
parameter Real theta3 (unit = "rad")=3.1412*60/180;//Angles b/w dA1 and dA3 in rad
Real I_theta2 (unit = "BTU/(hr.sq.ft.sr)");//The intensity of radiation emitted from dA1 in the direction of dA2 in BTU/(hr.sq.ft.sr)
Real I_theta3 (unit = "BTU/(hr.sq.ft.sr)");//The intensity of radiation emitted from dA1 in the direction of dA3 in BTU/(hr.sq.ft.sr)
parameter Real dA1 (unit = "ft^2")=1/144;//Area of diff area. dA1 in ft^2
Real dq1_2 (unit = "BTU/hr");//The rate at which radiation emitted by dA1 is intercepted by dA2 in BTU/hr
Real dq1_3 (unit = "BTU/hr");//The rate at which radiation emitted by dA1 is intercepted by dA3 in BTU/hr

equation
dw2_1=dA2*cos(Beta1)/r^2;
dw3_1=dA3*cos(Beta2)/r^2;
I_theta2=2000*(1-0.4*(sin(theta2))^2);
I_theta3=2000*(1-0.4*(sin(theta3))^2);
dq1_2=I_theta2*dA1*cos(theta2)*dw2_1;//Error in the textbook
dq1_3=I_theta3*dA1*cos(theta3)*dw3_1;
end Ex11_1;